Bug 244411 - Review Request: rpmorphan - rpmorphan list the orphaned rpm packages
Review Request: rpmorphan - rpmorphan list the orphaned rpm packages
Status: CLOSED DUPLICATE of bug 490462
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-15 10:20 EDT by Lorenzo Villani
Modified: 2009-03-16 12:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-19 11:51:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lorenzo Villani 2007-06-15 10:20:03 EDT
Spec URL: http://rpm.arbiterlab.net/SPECS/rpmorphan.spec
SRPM URL: http://rpm.arbiterlab.net/SRPMS/rpmorphan-1.0-1.fc7.src.rpm
Description: rpmorphan  finds  "orphaned"  packages  on  your system. It determines
which packages have no other packages depending on their installation,
and shows you a list of these packages.
It intends to be clone of deborphan debian tools for rpm packages.

It will try to help you to remove unused packages, for exemple :
- after a distribution upgrade
- when you want to suppress packages after some tests

~~~~~~~~~ Side notes ~~~~~~~~~~~
 - First Package
 - Looking for sponsor
Comment 1 Paul Howarth 2007-06-15 10:58:59 EDT
Does this do anything that "package-cleanup --leaves" doesn't do?

(package-cleanup is in the yum-utils package)
Comment 2 Lorenzo Villani 2007-06-15 11:09:57 EDT
I think that is good to have a tool that doesn't depend on yum, eg: people 
using apt or smart would appreciate it (imho) :-)
Comment 3 Tyler Owen 2007-06-16 09:28:28 EDT
I am not able to get to either the SRPM or the SPEC??
Comment 4 Lorenzo Villani 2007-06-16 13:52:43 EDT
You should be able to get it now. The SPEC and the SRPM are hosted on my 
CentOS 5 server which is sometimes under maintenance (yesterday i was working 
on reducing fan noise) :-) 
Comment 5 Tyler Owen 2007-06-16 22:55:40 EDT
This is not an official review as I am not sponsored yet.  But I hope it will help.

FIX - rpmlint not quiet
        Source RPM
        W: rpmorphan summary-not-capitalized rpmorphan list the orphaned rpm
packages.
        W: rpmorphan summary-ended-with-dot rpmorphan list the orphaned rpm
packages.

        Binary RPM
        rpmlint rpmorphan-1.0-1.fc7.noarch.rpm 
        W: rpmorphan spurious-executable-perm
/usr/share/doc/rpmorphan-1.0/test_rpmorphan.pl
        E: rpmorphan standard-dir-owned-by-package /usr/bin
        E: rpmorphan zero-length /var/lib/rpmorphan/keep
        E: rpmorphan standard-dir-owned-by-package /usr/share/man/man1
        W: rpmorphan summary-not-capitalized rpmorphan list the orphaned rpm
packages.
        W: rpmorphan summary-ended-with-dot rpmorphan list the orphaned rpm
packages.
        W: rpmorphan doc-file-dependency
/usr/share/doc/rpmorphan-1.0/test_rpmorphan.pl perl(Test::More)

FIX - Source0 should be a URL to the upstream source
       
http://fedoraproject.org/wiki/Packaging/SourceURL#head-e27982f18a3bfd26b5b6ecbee113d2d8f3f006f2


OK - Mock : Built on F7 (x86)
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
FIX - Spec has consistant macro usage.
        File section has a mix of macros and no macros.  See
http://fedoraproject.org/wiki/Packaging/RPMMacros for a listing of
        macros
OK - License field in spec matches
OK - License is GPL
OK - License file is included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources SHOULD match upstream md5sum:
560f78f6efe95a864072de6829bb8e00  rpmorphan-1.0.tar.gz
OK - Package has correct buildroot.
OK - extras BuildRequires are not redundant.
OK - %build and %install stages are correct and work.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has no duplicate files in %files.
FIX - Package doesn't own any directories that other packages own.
        RPM tries to own /usr/bin (%dir %{_bindir})
        RPM tries to own /usr/share/man/man1 (dir %{_mandir}/man1)
? - Changelog section is correct. 
        I am not sure what the rule actually is, but all the examples and other
SPECs I have looked at didn't have the .fc7  as part of the changlog entry
        Also might consider putting in something other than just 1.0 such as
Initial RPM Release, here again I am not sure what the rule is, but everyone seems
        to use that.
OK - Should function as described.
OK - Should package latest version

Package builds, installs and runs OK in F7 x86
Comment 6 Lorenzo Villani 2007-06-17 13:24:15 EDT
Fixed SPEC and SRPM at usual location:

rpmlint:
W: rpmorphan summary-not-capitalized rpmorphan list the orphaned rpm
packages. << should be fixed now
W: rpmorphan summary-ended-with-dot rpmorphan list the orphaned rpm
packages. << should be fixed now

rpmlint with binary rpm:
Other should be fixed now but:
E: rpmorphan zero-length /var/lib/rpmorphan/keep
Can't be fixed. It seems to be a needed directory. I'll investigate.

These should be fixed now:
FIX [FIXED] - Source0 should be a URL to the upstream source
FIX [FIXED] - Spec has consistant macro usage. File section has a mix of 
macros and no macros.
FIX [FIXED] - Package doesn't own any directories that other packages own.
? [FIXED] - Changelog section << added - Initial RPM Release for completeness
Comment 7 Stephen Warren 2007-11-19 00:35:24 EST
Lorenzo, are you still interested in submitting this package? The URLs you give
for the spec and srpm files give 404 - not found.
Comment 8 Lorenzo Villani 2007-11-19 11:51:45 EST
(In reply to comment #7)
> [cut]
I'm closing this bug report for now since I don't have much time to work on 
this package :(
I'll probably reopen this bug in the future when i will have enought time to 
work on it.
Comment 9 Richard W.M. Jones 2009-03-16 12:22:51 EDT
I've opened a new package review without realising
this one existed already.

*** This bug has been marked as a duplicate of bug 490462 ***

Note You need to log in before you can comment on or make changes to this bug.